GFXTOOL(1)

NAME
gfxtool - run graphics programs in a SunView window

SYNOPSIS
gfxtool [ -C ] [ program [ arguments ] ]

AVAILABILITY
This command is available with the SunView User's software installation option. Refer to for information on how to install optional software.

DESCRIPTION

gfxtool is a standard tool provided with the SunView environment. It runs graphics programs that do not overwrite the terminal emulator from which they run.

gfxtool has two subwindows: a terminal subwindow and an empty subwindow. The terminal subwindow contains a running shell, just like the shelltool (see shelltool(1)). Programs invoked in the terminal subwindow can run in the empty subwindow. You can move the boundary between these two subwindows as described in sunview(1). If you wish, you can make gfxtool your console by entering -C as the first argument.

Normally you can use the mouse and keyboard anywhere in the empty subwindow to access frame functions. However, some graphics programs which run in this window may take over inputs directed to it. For example, SunCore uses the mouse and keyboard for its own input. When you run such tools, access the Frame Menu from the tool boundaries or frame header.

gfxtool also accepts all of the generic tool arguments; see sunview(1) for a list of these arguments.

If a program argument is present, gfxtool runs it. If there are no arguments, gfxtool runs the program corresponding to your SHELL environment variable. If this environment variable is not available, then gfxtool runs sh(1).

OPTIONS

-C  Redirect system console output to this instance of gfxtool.

FILES
~/.ttyswrc
/usr/demo/*

SEE ALSO
sh(1), shelltool(1), sunview(1), graphics_demos(6)

BUGS

If more than 256 characters are input to a terminal emulator subwindow without an intervening NEWLINE, the terminal emulator may hang. If this occurs, display the Frame Menu; the `TTY Hung?' submenu there has one item, `Flush input', that you can invoke to correct the problem.